Page MenuHomePhabricator

Make external account identifier APIs return multiple identifiers
ClosedPublic

Authored by epriestley on Feb 21 2020, 3:23 PM.

Details

Summary

Depends on D21012. Ref T13493. Currently, auth adapters return a single identifier for each external account.

Allow them to return more than one identifier, to better handle cases where an API changes from providing a lower-quality identifier to a higher-quality identifier.

On its own, this change doesn't change any user-facing behavior.

Test Plan

Linked and unlinked external accounts.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Feb 21 2020, 3:23 PM
epriestley requested review of this revision.Feb 21 2020, 3:24 PM
epriestley updated this revision to Diff 50062.Feb 22 2020, 4:45 PM
  • Fix a logic bug in the OAuth2 provider.
This revision was not accepted when it landed; it landed in state Needs Review.Feb 23 2020, 1:45 AM
This revision was automatically updated to reflect the committed changes.